# $Log: Makefile.dist,v $
# Revision 1.1.1.1  1998/03/15 01:50:54  foner
# Import of RA/Savant 1.37
#
# Revision 1.1  84/09/01  15:00:58  wales
# Initial revision
# 
# $Header: /usr/local/cvsroot/Yenta/App/C/Savant/savutil/parsedate/Makefile.dist,v 1.1.1.1 1998/03/15 01:50:54 foner Exp $
#
# Makefile for "date" library routines
#
# Copyright (c) 1984 by Richard B. Wales

DEFS   =
CFLAGS = -O $(DEFS) -DRCSIDENT

all:		libdate.a

strip:		libdate.a

libdate.a:	datelex.o dateyacc.o parsedate.o
	rm -f libdate.a
	ar rc libdate.a datelex.o dateyacc.o parsedate.o

.c.o:
	cc -S $(CFLAGS) $*.c
	sed 's/_yy/_date_yy/g' $*.s | as -o $*.o
	rm -f $*.s

dateyacc.c dateyacc.h:	dateyacc.y
	yacc -d dateyacc.y
	mv y.tab.c dateyacc.c
	mv y.tab.h dateyacc.h

clean:
	rm -f *.o *.s\
	      dateyacc.c dateyacc.h y.tab.c y.tab.h y.output\
	      libdate.a

datelex.o:	parsedate.h dateyacc.h
dateyacc.o:	parsedate.h
parsedate.o:	parsedate.h
